Bug 960837 - Regression to F14 Behavior concerning non-ascii Passwords
Summary: Regression to F14 Behavior concerning non-ascii Passwords
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: anaconda
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
Assignee: Anaconda Maintenance Team
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: RejectedBlocker
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-05-08 06:06 UTC by Robert Lightfoot
Modified: 2014-09-04 17:27 UTC (History)
9 users (show)

Fixed In Version: anaconda-21.37-1
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-09-04 17:27:03 UTC
Type: Bug


Attachments (Terms of Use)
selecting gb keyboard and lang (81.14 KB, image/png)
2013-05-08 06:06 UTC, Robert Lightfoot
no flags Details
denies as a root password (23.88 KB, image/png)
2013-05-08 06:06 UTC, Robert Lightfoot
no flags Details
denied as a user password (35.14 KB, image/png)
2013-05-08 06:07 UTC, Robert Lightfoot
no flags Details
passwd command allows for non-ascii character (32.92 KB, image/png)
2013-05-08 06:24 UTC, Robert Lightfoot
no flags Details

Description Robert Lightfoot 2013-05-08 06:06:02 UTC
Created attachment 745066 [details]
selecting gb keyboard and lang

Description of problem:
Bug 646876 describes the case from F13/F14 where non-ascii character were not allowed in passwords at install, but could be added by the passwd command later.

Version-Release number of selected component (if applicable):


How reproducible:
100 %

Steps to Reproduce:
1. select the GB keyboard
2. enter shift-3 as a characer in the password
3.
  
Actual results:
cannot use british pound symbol in password

Expected results:
Should be able to use symbol

Additional info:

Comment 1 Robert Lightfoot 2013-05-08 06:06:43 UTC
Created attachment 745067 [details]
denies as a root password

Comment 2 Robert Lightfoot 2013-05-08 06:07:19 UTC
Created attachment 745068 [details]
denied as a user password

Comment 3 Robert Lightfoot 2013-05-08 06:24:30 UTC
Created attachment 745072 [details]
passwd command allows for non-ascii character

Comment 4 Robert Lightfoot 2013-05-08 06:29:01 UTC
Both Alpha and Beta release criteria call for "The installer must run" as a criterion.  I would propose it can be argued that if a password accepted by the installed system is rejected by the installer then the installer is broken.  and broke equates to not running.

Comment 5 Adam Williamson 2013-05-08 16:44:54 UTC
Discussed at 2013-05-08 blocker review meeting: http://meetbot.fedoraproject.org/fedora-blocker-review/2013-05-08/f19beta-blocker-review-4.2013-05-08-16.00.log.txt .

Nice attempt at criteria gymnastics Bob, a solid C+, but no, you can't arbitrarily redefine any bug in anaconda as 'broken' and 'broken' as 'not running' :) This clearly doesn't infringe any of the criteria and has a very obvious 'workaround' (don't put whatever characters anaconda is barfing on in your password). It was rejected as a blocker.

Comment 6 David Shea 2014-05-13 14:03:53 UTC
Anaconda will now allow, but warn about, non-ASCII characters in a password.


Note You need to log in before you can comment on or make changes to this bug.